OpenTTD Source: GUISettings Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
GUISettings Struct Reference

Settings related to the GUI and other stuff that is not saved in the savegame. More...

`#include <settings_type.h>`

## Public Member Functions
bool | UserIsAllowedToChangeNewGRFs () const
| Returns true when the user has sufficient privileges to edit newgrfs on a running game.

## Data Fields
bool | sg_full_load_any
| new full load calculation, any cargo must be full read from pre v93 savegames
bool | lost_vehicle_warn
| if a vehicle can't find its destination, show a warning
uint8_t | order_review_system
| perform order reviews on vehicles
bool | vehicle_income_warn
| if a vehicle isn't generating income, show a warning
bool | old_vehicle_warn
| if a vehicle is getting old, show a warning
bool | show_finances
| show finances at end of year
bool | sg_new_nonstop
| ttdpatch compatible nonstop handling read from pre v93 savegames
bool | new_nonstop
| ttdpatch compatible nonstop handling
OrderStopLocation | stop_location
| what is the default stop location of trains?
uint8_t | auto_scrolling
| scroll when moving mouse to the edge (see ViewportAutoscrolling)
uint8_t | errmsg_duration
| duration of error message
uint16_t | hover_delay_ms
| time required to activate a hover event, in milliseconds
bool | link_terraform_toolbar
| display terraform toolbar when displaying rail, road, water and airport toolbars
uint8_t | smallmap_land_colour
| colour used for land and heightmap at the smallmap
uint8_t | linkgraph_colours
| linkgraph overlay colours
uint8_t | scroll_mode
| viewport scroll mode
bool | smooth_scroll
| smooth scroll viewports
bool | measure_tooltip
| show a permanent tooltip when dragging tools
uint8_t | liveries
| options for displaying company liveries, 0=none, 1=self, 2=all
bool | prefer_teamchat
| choose the chat message target with <ENTER>, true=all clients, false=your team
uint8_t | advanced_vehicle_list
| use the "advanced" vehicle list
uint8_t | loading_indicators
| show loading indicators
uint8_t | default_rail_type
| the default rail type for the rail GUI
uint8_t | toolbar_pos
| position of toolbars, 0=left, 1=center, 2=right
uint8_t | statusbar_pos
| position of statusbar, 0=left, 1=center, 2=right
uint8_t | window_snap_radius
| windows snap at each other if closer than this
uint8_t | window_soft_limit
| soft limit of maximum number of non-stickied non-vital windows (0 = no limit)
ZoomLevel | zoom_min
| minimum zoom out level
ZoomLevel | zoom_max
| maximum zoom out level
ZoomLevel | sprite_zoom_min
| maximum zoom level at which higher-resolution alternative sprites will be used (if available) instead of scaling a lower resolution sprite
uint32_t | autosave_interval
| how often should we do autosaves?
bool | threaded_saves
| should we do threaded saves?
bool | keep_all_autosave
| name the autosave in a different way
bool | autosave_on_exit
| save an autosave when you quit the game, but do not ask "Do you really want to quit?"
bool | autosave_on_network_disconnect
| save an autosave when you get disconnected from a network game with an error?
uint8_t | date_format_in_default_names
| should the default savegame/screenshot name use long dates (31th Dec 2008), short dates (31-12-2008) or ISO dates (2008-12-31)
uint8_t | max_num_autosaves
| controls how many autosavegames are made before the game starts to overwrite (names them 0 to max_num_autosaves - 1)
bool | population_in_label
| show the population of a town in its label?
uint8_t | right_mouse_btn_emulation
| should we emulate right mouse clicking?
uint8_t | scrollwheel_scrolling
| scrolling using the scroll wheel?
uint8_t | scrollwheel_multiplier
| how much 'wheel' per incoming event from the OS?
bool | timetable_arrival_departure
| show arrivals and departures in vehicle timetables
RightClickClose | right_click_wnd_close
| close window with right click
bool | toolbar_dropdown_autoselect
| should toolbar dropdown buttons autoselect when releasing the mouse button
bool | pause_on_newgame
| whether to start new games paused or not
SignalGUISettings | signal_gui_mode
| select which signal types are shown in the signal GUI
SignalCycleSettings | cycle_signal_types
| Which signal types to cycle with the build signal tool.
SignalType | default_signal_type
| The default signal type, which is set automatically by the last signal used. Not available in Settings.
TimerGameCalendar::Year | coloured_news_year
| when does newspaper become coloured?
TimetableMode | timetable_mode
| Time units for timetables: days, seconds, or ticks.
bool | quick_goto
| Allow quick access to 'goto button' in vehicle orders window.
bool | auto_euro
| automatically switch to euro in 2002
uint8_t | drag_signals_density
| many signals density
bool | drag_signals_fixed_distance
| keep fixed distance between signals when dragging
TimerGameCalendar::Year | semaphore_build_before
| build semaphore signals automatically before this year
uint8_t | news_message_timeout
| how much longer than the news message "age" should we keep the message in the history
bool | show_track_reservation
| highlight reserved tracks.
uint8_t | station_numtracks
| the number of platforms to default on for rail stations
uint8_t | station_platlength
| the platform length, in tiles, for rail stations
bool | station_dragdrop
| whether drag and drop is enabled for stations
bool | station_show_coverage
| whether to highlight coverage area
bool | persistent_buildingtools
| keep the building tools active after usage
bool | expenses_layout
| layout of expenses window
uint32_t | last_newgrf_count
| the numbers of NewGRFs we found during the last scan
uint8_t | missing_strings_threshold
| the number of missing strings before showing the warning
uint8_t | graph_line_thickness
| the thickness of the lines in the various graph guis
uint8_t | osk_activation
| Mouse gesture to trigger the OSK.
Colours | starting_colour
| default colour scheme for the company to start a new game with
Colours | starting_colour_secondary
| default secondary colour scheme for the company to start a new game with
bool | show_newgrf_name
| Show the name of the NewGRF in the build vehicle window.
bool | show_cargo_in_vehicle_lists
| Show the cargoes the vehicles can carry in the list windows.
bool | auto_remove_signals
| automatically remove signals when in the way during rail construction
uint16_t | refresh_rate
| How often we refresh the screen (time between draw-ticks).
uint16_t | fast_forward_speed_limit
| Game speed to use when fast-forward is enabled.
uint16_t | console_backlog_timeout
| the minimum amount of time items should be in the console backlog before they will be removed in ~3 seconds granularity.
uint16_t | console_backlog_length
| the minimum amount of items in the console backlog before items will be removed.
uint8_t | station_gui_group_order
| the order of grouping cargo entries in the station gui
uint8_t | station_gui_sort_by
| sort cargo entries in the station gui by station name or amount
uint8_t | station_gui_sort_order
| the sort order of entries in the station gui - ascending or descending
uint16_t | network_chat_box_width_pct
| width of the chat box in percent
uint8_t | network_chat_box_height
| height of the chat box in lines
uint16_t | network_chat_timeout
| timeout of chat messages in seconds
uint8_t | developer
| print non-fatal warnings in console (>= 1), copy debug output to console (== 2)
bool | show_date_in_logs
| whether to show dates in console logs
bool | newgrf_developer_tools
| activate NewGRF developer tools and allow modifying NewGRFs in an existing game
bool | ai_developer_tools
| activate AI/GS developer tools
bool | scenario_developer
| activate scenario developer: allow modifying NewGRFs in an existing game
uint8_t | settings_restriction_mode
| selected restriction mode in adv. settings GUI.
bool | newgrf_show_old_versions
| whether to show old versions in the NewGRF list
uint8_t | newgrf_default_palette
| default palette to use for NewGRFs without action 14 palette information
bool | scale_bevels
| bevels are scaled with GUI scale.

## Detailed Description

Settings related to the GUI and other stuff that is not saved in the savegame.

Definition at line 163 of file settings_type.h.

## Member Function Documentation

## ◆ UserIsAllowedToChangeNewGRFs()

bool GUISettings::UserIsAllowedToChangeNewGRFs | ( |  | ) | const
| inline

Returns true when the user has sufficient privileges to edit newgrfs on a running game.

Returns
  whether the user has sufficient privileges to edit newgrfs in an existing game

Definition at line 264 of file settings_type.h.

References newgrf_developer_tools.

Referenced by MenuClickSettings(), SaveLoadWindow::OnClick(), and SaveLoadWindow::OnInvalidateData().

## Field Documentation

## ◆ advanced_vehicle_list

uint8_t GUISettings::advanced_vehicle_list

use the "advanced" vehicle list

Definition at line 184 of file settings_type.h.

## ◆ ai_developer_tools

bool GUISettings::ai_developer_tools

activate AI/GS developer tools

Definition at line 252 of file settings_type.h.

Referenced by ScriptDebugWindow::OnInit(), ScriptDebugWindow::OnInvalidateData(), GSConfigWindow::RebuildVisibleSettings(), ScriptSettingsWindow::RebuildVisibleSettings(), ScriptScanner::RegisterScript(), and ScriptConfig::ResetEditableSettings().

## ◆ auto_euro

bool GUISettings::auto_euro

automatically switch to euro in 2002

Definition at line 215 of file settings_type.h.

## ◆ auto_remove_signals

bool GUISettings::auto_remove_signals

automatically remove signals when in the way during rail construction

Definition at line 235 of file settings_type.h.

Referenced by PlaceExtraDepotRail().

## ◆ auto_scrolling

uint8_t GUISettings::auto_scrolling

scroll when moving mouse to the edge (see ViewportAutoscrolling)

Definition at line 173 of file settings_type.h.

Referenced by HandleAutoscroll().

## ◆ autosave_interval

uint32_t GUISettings::autosave_interval

how often should we do autosaves?

Definition at line 194 of file settings_type.h.

Referenced by GameOptionsWindow::BuildDropDownList(), ChangeAutosaveFrequency(), GameOptionsWindow::GetWidgetString(), LoadFromConfig(), and GameOptionsWindow::OnDropdownSelect().

## ◆ autosave_on_exit

bool GUISettings::autosave_on_exit

save an autosave when you quit the game, but do not ask "Do you really want to quit?"

Definition at line 197 of file settings_type.h.

Referenced by VideoDriver_Null::MainLoop(), and MainWindow::OnHotkey().

## ◆ autosave_on_network_disconnect

bool GUISettings::autosave_on_network_disconnect

save an autosave when you get disconnected from a network game with an error?

Definition at line 198 of file settings_type.h.

## ◆ coloured_news_year

TimerGameCalendar::Year GUISettings::coloured_news_year

when does newspaper become coloured?

Definition at line 212 of file settings_type.h.

Referenced by NewsItem::NewsItem().

## ◆ console_backlog_length

uint16_t GUISettings::console_backlog_length

the minimum amount of items in the console backlog before items will be removed.

Definition at line 240 of file settings_type.h.

Referenced by TruncateBuffer().

## ◆ console_backlog_timeout

uint16_t GUISettings::console_backlog_timeout

the minimum amount of time items should be in the console backlog before they will be removed in ~3 seconds granularity.

Definition at line 239 of file settings_type.h.

Referenced by TruncateBuffer().

## ◆ cycle_signal_types

SignalCycleSettings GUISettings::cycle_signal_types

Which signal types to cycle with the build signal tool.

Definition at line 210 of file settings_type.h.

Referenced by GenericPlaceSignals().

## ◆ date_format_in_default_names

uint8_t GUISettings::date_format_in_default_names

should the default savegame/screenshot name use long dates (31th Dec 2008), short dates (31-12-2008) or ISO dates (2008-12-31)

Definition at line 199 of file settings_type.h.

Referenced by GenerateDefaultSaveName().

## ◆ default_rail_type

uint8_t GUISettings::default_rail_type

the default rail type for the rail GUI

Definition at line 186 of file settings_type.h.

Referenced by SetDefaultRailGui().

## ◆ default_signal_type

SignalType GUISettings::default_signal_type

The default signal type, which is set automatically by the last signal used. Not available in Settings.

Definition at line 211 of file settings_type.h.

Referenced by GenericPlaceSignals(), HandleAutoSignalPlacement(), InitializeRailGUI(), and BuildSignalWindow::OnClick().

## ◆ developer

uint8_t GUISettings::developer

print non-fatal warnings in console (>= 1), copy debug output to console (== 2)

Definition at line 249 of file settings_type.h.

Referenced by DebugReconsiderSendRemoteMessages(), and DebugSendRemoteMessages().

## ◆ drag_signals_density

uint8_t GUISettings::drag_signals_density

many signals density

Definition at line 216 of file settings_type.h.

Referenced by BuildSignalWindow::GetWidgetString(), HandleAutoSignalPlacement(), BuildSignalWindow::OnClick(), and BuildSignalWindow::OnInvalidateData().

## ◆ drag_signals_fixed_distance

bool GUISettings::drag_signals_fixed_distance

keep fixed distance between signals when dragging

Definition at line 217 of file settings_type.h.

Referenced by HandleAutoSignalPlacement().

## ◆ errmsg_duration

uint8_t GUISettings::errmsg_duration

duration of error message

Definition at line 174 of file settings_type.h.

Referenced by ShowErrorMessage().

## ◆ expenses_layout

bool GUISettings::expenses_layout

layout of expenses window

Definition at line 226 of file settings_type.h.

## ◆ fast_forward_speed_limit

uint16_t GUISettings::fast_forward_speed_limit

Game speed to use when fast-forward is enabled.

Definition at line 237 of file settings_type.h.

## ◆ graph_line_thickness

uint8_t GUISettings::graph_line_thickness

the thickness of the lines in the various graph guis

Definition at line 229 of file settings_type.h.

Referenced by BaseGraphWindow::DrawGraph().

## ◆ hover_delay_ms

uint16_t GUISettings::hover_delay_ms

time required to activate a hover event, in milliseconds

Definition at line 175 of file settings_type.h.

Referenced by DispatchRightClickEvent(), and HandleMouseEvents().

## ◆ keep_all_autosave

bool GUISettings::keep_all_autosave

name the autosave in a different way

Definition at line 196 of file settings_type.h.

Referenced by DoAutoOrNetsave().

## ◆ last_newgrf_count

uint32_t GUISettings::last_newgrf_count

the numbers of NewGRFs we found during the last scan

Definition at line 227 of file settings_type.h.

Referenced by GRFFileScanner::DoScan(), ScanProgressWindow::DrawWidget(), AfterNewGRFScan::OnNewGRFsScanned(), and ScanProgressWindow::UpdateNewGRFScanStatus().

## ◆ link_terraform_toolbar

bool GUISettings::link_terraform_toolbar

display terraform toolbar when displaying rail, road, water and airport toolbars

Definition at line 176 of file settings_type.h.

Referenced by AlignInitialConstructionToolbar(), BuildAirToolbarWindow::Close(), BuildDocksToolbarWindow::Close(), BuildRailToolbarWindow::Close(), BuildRoadToolbarWindow::Close(), and TerraformToolbarWindow::OnInitialPosition().

## ◆ linkgraph_colours

uint8_t GUISettings::linkgraph_colours

linkgraph overlay colours

Definition at line 178 of file settings_type.h.

Referenced by BuildLinkStatsLegend(), LinkGraphOverlay::DrawContent(), and LinkGraphLegendWindow::DrawWidget().

## ◆ liveries

uint8_t GUISettings::liveries

options for displaying company liveries, 0=none, 1=self, 2=all

Definition at line 182 of file settings_type.h.

Referenced by SelectCompanyLiveryWindow::OnInvalidateData().

## ◆ loading_indicators

uint8_t GUISettings::loading_indicators

show loading indicators

Definition at line 185 of file settings_type.h.

Referenced by LoadUnloadVehicle().

## ◆ lost_vehicle_warn

bool GUISettings::lost_vehicle_warn

if a vehicle can't find its destination, show a warning

Definition at line 165 of file settings_type.h.

Referenced by Vehicle::HandlePathfindingResult().

## ◆ max_num_autosaves

uint8_t GUISettings::max_num_autosaves

controls how many autosavegames are made before the game starts to overwrite (names them 0 to max_num_autosaves - 1)

Definition at line 200 of file settings_type.h.

Referenced by FiosNumberedSaveName::Filename().

## ◆ measure_tooltip

bool GUISettings::measure_tooltip

show a permanent tooltip when dragging tools

Definition at line 181 of file settings_type.h.

Referenced by CalcRaildirsDrawstyle(), ShowMeasurementTooltips(), and VpSelectTilesWithMethod().

## ◆ missing_strings_threshold

uint8_t GUISettings::missing_strings_threshold

the number of missing strings before showing the warning

Definition at line 228 of file settings_type.h.

Referenced by GameOptionsWindow::BuildDropDownList(), and SelectGameWindow::OnInit().

## ◆ network_chat_box_height

uint8_t GUISettings::network_chat_box_height

height of the chat box in lines

Definition at line 246 of file settings_type.h.

Referenced by NetworkInitChatMessage().

## ◆ network_chat_box_width_pct

uint16_t GUISettings::network_chat_box_width_pct

width of the chat box in percent

Definition at line 245 of file settings_type.h.

Referenced by NetworkInitChatMessage().

## ◆ network_chat_timeout

uint16_t GUISettings::network_chat_timeout

timeout of chat messages in seconds

Definition at line 247 of file settings_type.h.

## ◆ new_nonstop

bool GUISettings::new_nonstop

ttdpatch compatible nonstop handling

Definition at line 171 of file settings_type.h.

Referenced by Order::ConvertFromOldSavegame(), GetOrderCmdFromTile(), and OrdersWindow::OrderClick_NearestDepot().

## ◆ newgrf_default_palette

uint8_t GUISettings::newgrf_default_palette

default palette to use for NewGRFs without action 14 palette information

Definition at line 256 of file settings_type.h.

Referenced by GRFConfig::SetSuitablePalette().

## ◆ newgrf_developer_tools

bool GUISettings::newgrf_developer_tools

activate NewGRF developer tools and allow modifying NewGRFs in an existing game

Definition at line 251 of file settings_type.h.

Referenced by NewGRFWindow::OnInvalidateData(), NWidgetLeaf::SetupSmallestSize(), ToggleBoundingBoxes(), ToggleDirtyBlocks(), ToggleWidgetOutlines(), and UserIsAllowedToChangeNewGRFs().

## ◆ newgrf_show_old_versions

bool GUISettings::newgrf_show_old_versions

whether to show old versions in the NewGRF list

Definition at line 255 of file settings_type.h.

## ◆ news_message_timeout

uint8_t GUISettings::news_message_timeout

how much longer than the news message "age" should we keep the message in the history

Definition at line 219 of file settings_type.h.

## ◆ old_vehicle_warn

bool GUISettings::old_vehicle_warn

if a vehicle is getting old, show a warning

Definition at line 168 of file settings_type.h.

Referenced by AgeVehicle().

## ◆ order_review_system

uint8_t GUISettings::order_review_system

perform order reviews on vehicles

Definition at line 166 of file settings_type.h.

Referenced by CheckOrders().

## ◆ osk_activation

uint8_t GUISettings::osk_activation

Mouse gesture to trigger the OSK.

Definition at line 230 of file settings_type.h.

## ◆ pause_on_newgame

bool GUISettings::pause_on_newgame

whether to start new games paused or not

Definition at line 208 of file settings_type.h.

## ◆ persistent_buildingtools

bool GUISettings::persistent_buildingtools

keep the building tools active after usage

Definition at line 225 of file settings_type.h.

Referenced by CcBuildRailTunnel(), CcBuildRoadTunnel(), CcRoadStop(), BuildRailToolbarWindow::OnPlaceMouseUp(), BuildRoadToolbarWindow::OnPlaceMouseUp(), BuildIndustryWindow::OnPlaceObject(), and ShowSelectBaseStationIfNeeded().

## ◆ population_in_label

bool GUISettings::population_in_label

show the population of a town in its label?

Definition at line 201 of file settings_type.h.

Referenced by ChangePopulation(), Town::UpdateVirtCoord(), and ViewportAddTownStrings().

## ◆ prefer_teamchat

bool GUISettings::prefer_teamchat

choose the chat message target with <ENTER>, true=all clients, false=your team

Definition at line 183 of file settings_type.h.

Referenced by NetworkClientPreferTeamChat().

## ◆ quick_goto

bool GUISettings::quick_goto

Allow quick access to 'goto button' in vehicle orders window.

Definition at line 214 of file settings_type.h.

Referenced by OrdersWindow::OnPlaceObject().

## ◆ refresh_rate

uint16_t GUISettings::refresh_rate

How often we refresh the screen (time between draw-ticks).

Definition at line 236 of file settings_type.h.

Referenced by AddCustomRefreshRates(), GameOptionsWindow::BuildDropDownList(), GameOptionsWindow::GetWidgetString(), and GameOptionsWindow::OnDropdownSelect().

## ◆ right_click_wnd_close

RightClickClose GUISettings::right_click_wnd_close

close window with right click

Definition at line 206 of file settings_type.h.

Referenced by DispatchRightClickEvent(), and LoadFromConfig().

## ◆ right_mouse_btn_emulation

uint8_t GUISettings::right_mouse_btn_emulation

should we emulate right mouse clicking?

Definition at line 202 of file settings_type.h.

## ◆ scale_bevels

bool GUISettings::scale_bevels

bevels are scaled with GUI scale.

Definition at line 258 of file settings_type.h.

Referenced by GameOptionsWindow::OnClick(), GameOptionsWindow::OnInvalidateData(), and SetupWidgetDimensions().

## ◆ scenario_developer

bool GUISettings::scenario_developer

activate scenario developer: allow modifying NewGRFs in an existing game

Definition at line 253 of file settings_type.h.

Referenced by NewGRFWindow::OnInvalidateData().

## ◆ scroll_mode

uint8_t GUISettings::scroll_mode

viewport scroll mode

Definition at line 179 of file settings_type.h.

Referenced by HandleViewportScroll(), and SmallMapWindow::OnScroll().

## ◆ scrollwheel_multiplier

uint8_t GUISettings::scrollwheel_multiplier

how much 'wheel' per incoming event from the OS?

Definition at line 204 of file settings_type.h.

Referenced by VideoDriver_SDL_Base::PollEvent().

## ◆ scrollwheel_scrolling

uint8_t GUISettings::scrollwheel_scrolling

scrolling using the scroll wheel?

Definition at line 203 of file settings_type.h.

Referenced by HandleViewportScroll(), IndustryViewWindow::OnMouseWheel(), MainWindow::OnMouseWheel(), SmallMapWindow::OnMouseWheel(), TownViewWindow::OnMouseWheel(), VehicleViewWindow::OnMouseWheel(), and ExtraViewportWindow::OnMouseWheel().

## ◆ semaphore_build_before

TimerGameCalendar::Year GUISettings::semaphore_build_before

build semaphore signals automatically before this year

Definition at line 218 of file settings_type.h.

Referenced by GenericPlaceSignals(), HandleAutoSignalPlacement(), and ResetSignalVariant().

## ◆ settings_restriction_mode

uint8_t GUISettings::settings_restriction_mode

selected restriction mode in adv. settings GUI.

See also
  RestrictionMode

Definition at line 254 of file settings_type.h.

Referenced by GameOptionsWindow::OnDropdownSelect().

## ◆ sg_full_load_any

bool GUISettings::sg_full_load_any

new full load calculation, any cargo must be full read from pre v93 savegames

Definition at line 164 of file settings_type.h.

Referenced by Order::ConvertFromOldSavegame().

## ◆ sg_new_nonstop

bool GUISettings::sg_new_nonstop

ttdpatch compatible nonstop handling read from pre v93 savegames

Definition at line 170 of file settings_type.h.

Referenced by Order::ConvertFromOldSavegame().

## ◆ show_cargo_in_vehicle_lists

bool GUISettings::show_cargo_in_vehicle_lists

Show the cargoes the vehicles can carry in the list windows.

Definition at line 234 of file settings_type.h.

Referenced by BaseVehicleListWindow::DrawVehicleListItems().

## ◆ show_date_in_logs

bool GUISettings::show_date_in_logs

whether to show dates in console logs

Definition at line 250 of file settings_type.h.

Referenced by GetLogPrefix().

## ◆ show_finances

bool GUISettings::show_finances

show finances at end of year

Definition at line 169 of file settings_type.h.

## ◆ show_newgrf_name

bool GUISettings::show_newgrf_name

Show the name of the NewGRF in the build vehicle window.

Definition at line 233 of file settings_type.h.

Referenced by DrawVehiclePurchaseInfo().

## ◆ show_track_reservation

bool GUISettings::show_track_reservation

highlight reserved tracks.

Definition at line 220 of file settings_type.h.

Referenced by CheckTrainStayInDepot(), ClearPathReservation(), DrawBridgeMiddle(), DrawTile_Road(), DrawTile_TunnelBridge(), DrawTrackBits(), TryPathReserve(), TryReserveRailTrack(), UnreserveRailTrack(), and VehicleEnterDepot().

## ◆ signal_gui_mode

SignalGUISettings GUISettings::signal_gui_mode

select which signal types are shown in the signal GUI

Definition at line 209 of file settings_type.h.

Referenced by GenericPlaceSignals(), and BuildSignalWindow::SetSignalUIMode().

## ◆ smallmap_land_colour

uint8_t GUISettings::smallmap_land_colour

colour used for land and heightmap at the smallmap

Definition at line 177 of file settings_type.h.

Referenced by BuildLandLegend(), BuildOwnerLegend(), GetSmallMapContoursPixels(), GetSmallMapIndustriesPixels(), GetSmallMapOwnerPixels(), GetSmallMapRoutesPixels(), and GetSmallMapVehiclesPixels().

## ◆ smooth_scroll

bool GUISettings::smooth_scroll

smooth scroll viewports

Definition at line 180 of file settings_type.h.

Referenced by UpdateViewportPosition().

## ◆ sprite_zoom_min

ZoomLevel GUISettings::sprite_zoom_min

maximum zoom level at which higher-resolution alternative sprites will be used (if available) instead of scaling a lower resolution sprite

Definition at line 193 of file settings_type.h.

## ◆ starting_colour

Colours GUISettings::starting_colour

default colour scheme for the company to start a new game with

Definition at line 231 of file settings_type.h.

## ◆ starting_colour_secondary

Colours GUISettings::starting_colour_secondary

default secondary colour scheme for the company to start a new game with

Definition at line 232 of file settings_type.h.

## ◆ station_dragdrop

bool GUISettings::station_dragdrop

whether drag and drop is enabled for stations

Definition at line 223 of file settings_type.h.

Referenced by BuildRailClick_Remove(), BuildRailStationWindow::CheckSelectedSize(), BuildRailStationWindow::OnClick(), BuildRailStationWindow::OnInit(), BuildRailStationWindow::OnPaint(), and PlaceRail_Station().

## ◆ station_gui_group_order

uint8_t GUISettings::station_gui_group_order

the order of grouping cargo entries in the station gui

Definition at line 242 of file settings_type.h.

Referenced by StationViewWindow::SelectGroupBy().

## ◆ station_gui_sort_by

uint8_t GUISettings::station_gui_sort_by

sort cargo entries in the station gui by station name or amount

Definition at line 243 of file settings_type.h.

Referenced by StationViewWindow::SelectSortBy().

## ◆ station_gui_sort_order

uint8_t GUISettings::station_gui_sort_order

the sort order of entries in the station gui - ascending or descending

Definition at line 244 of file settings_type.h.

Referenced by StationViewWindow::SelectSortOrder().

## ◆ station_numtracks

uint8_t GUISettings::station_numtracks

the number of platforms to default on for rail stations

Definition at line 221 of file settings_type.h.

Referenced by BuildRailClick_Remove(), BuildRailStationWindow::CheckSelectedSize(), BuildRailStationWindow::OnClick(), BuildRailStationWindow::OnInit(), BuildRailStationWindow::OnPaint(), and PlaceRail_Station().

## ◆ station_platlength

uint8_t GUISettings::station_platlength

the platform length, in tiles, for rail stations

Definition at line 222 of file settings_type.h.

Referenced by BuildRailClick_Remove(), BuildRailStationWindow::CheckSelectedSize(), BuildRailStationWindow::OnClick(), BuildRailStationWindow::OnInit(), BuildRailStationWindow::OnPaint(), and PlaceRail_Station().

## ◆ station_show_coverage

bool GUISettings::station_show_coverage

whether to highlight coverage area

Definition at line 224 of file settings_type.h.

Referenced by CheckRedrawStationCoverage(), BuildAirportWindow::OnClick(), BuildDocksStationWindow::OnClick(), BuildRailStationWindow::OnClick(), BuildRoadStationWindow::OnClick(), BuildRailStationWindow::OnInit(), BuildDocksStationWindow::OnPaint(), BuildRailStationWindow::OnPaint(), and BuildRoadStationWindow::OnPaint().

## ◆ statusbar_pos

uint8_t GUISettings::statusbar_pos

position of statusbar, 0=left, 1=center, 2=right

Definition at line 188 of file settings_type.h.

Referenced by PositionNetworkChatWindow(), PositionNewsMessage(), and PositionStatusbar().

## ◆ stop_location

OrderStopLocation GUISettings::stop_location

what is the default stop location of trains?

Definition at line 172 of file settings_type.h.

Referenced by DrawOrderString(), and GetOrderCmdFromTile().

## ◆ threaded_saves

bool GUISettings::threaded_saves

should we do threaded saves?

Definition at line 195 of file settings_type.h.

Referenced by SaveOrLoad().

## ◆ timetable_arrival_departure

bool GUISettings::timetable_arrival_departure

show arrivals and departures in vehicle timetables

Definition at line 205 of file settings_type.h.

Referenced by TimetableWindow::UpdateSelectionStates().

## ◆ timetable_mode

TimetableMode GUISettings::timetable_mode

Time units for timetables: days, seconds, or ticks.

Definition at line 213 of file settings_type.h.

Referenced by TimetableWindow::BuildArrivalDepartureList(), TimetableWindow::DrawArrivalDeparturePanel(), TimetableWindow::DrawSummaryPanel(), GetTimetableParameters(), TimetableWindow::OnClick(), TicksPerTimetableUnit(), TimetableWindow::UpdateWidgetSize(), and VehicleIsAboveLatenessThreshold().

## ◆ toolbar_dropdown_autoselect

bool GUISettings::toolbar_dropdown_autoselect

should toolbar dropdown buttons autoselect when releasing the mouse button

Definition at line 207 of file settings_type.h.

## ◆ toolbar_pos

uint8_t GUISettings::toolbar_pos

position of toolbars, 0=left, 1=center, 2=right

Definition at line 187 of file settings_type.h.

Referenced by PositionMainToolbar().

## ◆ vehicle_income_warn

bool GUISettings::vehicle_income_warn

if a vehicle isn't generating income, show a warning

Definition at line 167 of file settings_type.h.

## ◆ window_snap_radius

uint8_t GUISettings::window_snap_radius

windows snap at each other if closer than this

Definition at line 189 of file settings_type.h.

Referenced by HandleWindowDragging().

## ◆ window_soft_limit

uint8_t GUISettings::window_soft_limit

soft limit of maximum number of non-stickied non-vital windows (0 = no limit)

Definition at line 190 of file settings_type.h.

Referenced by CheckSoftLimit().

## ◆ zoom_max

ZoomLevel GUISettings::zoom_max

maximum zoom out level

Definition at line 192 of file settings_type.h.

Referenced by AdjustGUIZoom(), ConZoomToLevel(), DoZoomInOutWindow(), DrawSpriteToRgbaBuffer(), Blitter_8bppOptimized::Encode(), HandleZoomMessage(), InitializeWindowViewport(), SpriteAlignerWindow::OnInvalidateData(), and UpdateGUIZoom().

## ◆ zoom_min

ZoomLevel GUISettings::zoom_min

minimum zoom out level

Definition at line 191 of file settings_type.h.

Referenced by AdjustGUIZoom(), ConZoomToLevel(), DoZoomInOutWindow(), Blitter_8bppOptimized::Encode(), HandleZoomMessage(), InitializeWindowViewport(), MainWindow::OnHotkey(), SpriteAlignerWindow::OnInvalidateData(), SetupScreenshotViewport(), and UpdateGUIZoom().

The documentation for this struct was generated from the following file:

- src/settings_type.h